$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-fe3c7926f77bbe2c8593220fc0d900c727ce391c/rpcs3-v0.0.12-11067-fe3c7926_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '3667e08975251a32f9647a2c6e3ed695479171292c3925d94c825a81d5fde652'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
